%define anolis_release 1
Name:           hiredis
Version:        1.0.2
Release: %{anolis_release}%{dist}

Summary:        Minimalistic C client library for Redis
License:        BSD
URL:            https://github.com/redis/hiredis
Source0:        https://github.com/redis/hiredis/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  openssl-devel
BuildRequires:  redis

%description 
Hiredis is a minimalistic C client library for the Redis database.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
%make_build PREFIX="%{_prefix}" LIBRARY_PATH="%{_lib}"     \
            DEBUG="%{optflags}" LDFLAGS="%{?__global_ldflags}" USE_SSL=1

%install
%make_install PREFIX="%{_prefix}" LIBRARY_PATH="%{_lib}"

find %{buildroot} -name '*.a' -delete -print

%check
# TODO: Koji isolated environment may cause some tests fail to pass.
make check || true

%generate_compatibility_deps

%files
%license COPYING
%{_libdir}/libhiredis.so.1.0.0

%dir %{abidir}
%{abidir}/libhiredis.dump

%files devel
%{_includedir}/%{name}/
%{_libdir}/libhiredis.so
%{_libdir}/pkgconfig/hiredis.pc

%files doc
%doc CHANGELOG.md README.md

%changelog
* Mon Mar 27 2023 Heng Qi <hengqi@linux.alibaba.com> - 1.0.2-1
- Init package from upstream
